name: Ansible Lint  # feel free to pick your own name

on:
  pull_request:
    branches:
      - release
      - devel

jobs:
  ansible-lint:

    runs-on: ubuntu-latest

    steps:
    # Important: This sets up your GITHUB_WORKSPACE environment variable
    - uses: actions/checkout@v2

    - name: ansible-lint 
      # replace "master" with any valid ref
      uses: ansible/ansible-lint-action@master
      with:
        # [required]
        # Paths to ansible files (i.e., playbooks, tasks, handlers etc..)
        # or valid Ansible directories according to the Ansible role
        # directory structure.
        # If you want to lint multiple ansible files, use the following syntax
        # targets: |
        #   playbook_1.yml
        #   playbook_2.yml
        targets: |
          /github/workspace/omnia.yml
          /github/workspace/omnia_config.yml
          /github/workspace/control_plane/control_plane.yml
          /github/workspace/platforms/jupyterhub.yml
          /github/workspace/platforms/kubeflow.yml
          /github/workspace/tools/install_tools.yml
          /github/workspace/tools/intel_tools.yml
          /github/workspace/tools/olm.yml
        # [optional]
        # Arguments to override a package and its version to be set explicitly.
        # Must follow the example syntax.
        #override-deps: |
        #  ansible==2.9
        #  ansible-lint==4.2.0
        # [optional]
        # Arguments to be passed to the ansible-lint

        # Options:
        #   -q                    quieter, although not silent output
        #   -p                    parseable output in the format of pep8
        #   --parseable-severity  parseable output including severity of rule
        #   -r RULESDIR           specify one or more rules directories using one or
        #                         more -r arguments. Any -r flags override the default
        #                         rules in ansiblelint/rules, unless -R is also used.
        #   -R                    Use default rules in ansiblelint/rules in addition to
        #                         any extra
        #                         rules directories specified with -r. There is no need
        #                         to specify this if no -r flags are used
        #   -t TAGS               only check rules whose id/tags match these values
        #   -x SKIP_LIST          only check rules whose id/tags do not match these
        #                         values
        #   --nocolor             disable colored output
        #   --exclude=EXCLUDE_PATHS
        #                         path to directories or files to skip. This option is
        #                         repeatable.
        #   -c C                  Specify configuration file to use. Defaults to ".ansible-lint"
        args: "-x 305"
